Do Not Contact

Get DNC Lists

GET /v1/dnc

GET/v1/dnc
GET
/v1/dnc

Get Dnc Lists

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Query Parameters

searchstring

Search by list name

pageSizenumber

Number of items per page. Maximum pageSize is 100

Default: 25

pagenumber

Page number for pagination.

Default: 1

sortstring

Sort order for the results.

Value in: "ASC" | "DESC"

sortBystring

Field to sort the results by. Ex: lastUpdatedAt, total email and domain count

Value in: "total" | "updatedAt"

Responses

200
Successfully fetched dnc list
{
  "payload": {
    "message": "Successfully fetched dnc list",
    "payload": [
      {
        "id": "vWjzRkZwAq",
        "name": "Example List",
        "numberOfItems": 2,
        "createdAt": "2023-01-01T00:00:00.000Z",
        "createdBy": "John Doe",
        "clientId": 1,
        "total": "15",
        "updatedAt": "2024-06-26T03:23:13.573Z"
      }
    ]
  }
}

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/dnc" \
  -H "x-api-key: YOUR_API_KEY"

Response

No response body